use strict;
use Test::More 'no_plan';
use Data::Dumper;
use Try::Tiny;

use Wrenshoe::Utilities qw(:all);
#use Wrenshoe::Compile;
#use Wrenshoe::Error;
use Wrenshoe::Deck;
use Wrenshoe::Compile;
use Wrenshoe::DeckSet;
use Wrenshoe::Page;

## Compile the file.
my $c = Wrenshoe::Compile->new();
$c->parse_filename('data/test04.wrenshoe');

## Add it to a deck.
my $ds = Wrenshoe::DeckSet->new();
$ds->add_deck($c->deck());

## 
my $pgen = Wrenshoe::Page->new($ds);
$pgen->template_paths(['template',
		       '../../../template',
		       '../../../template/common',
		       '../../../template/jqui']);

# is($ds->count(), 2, "got the two decks");
# err("json\n" . $ds->json());
my $p1 = $pgen->page();
pass("got here, so not a complete disaster");
